gnutls_set_default_export_priority(3)

NAME
gnutls_set_default_export_priority - Sets some default priority on the cipher suites supported by gnutls.

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_set_default_export_priority(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

DESCRIPTION
Sets some default priority on the ciphers, key exchange methods, macs and compression methods. This is to avoid using the gnutls_*_priority() functions, if these defaults are ok. This function also includes weak algorithms. The order is TLS1, SSL3 for protocols, RSA, DHE_DSS, DHE_RSA, RSA_EXPORT for key exchange algorithms. SHA, MD5, RIPEMD160 for MAC algorithms, AES_256_CBC, AES_128_CBC, and 3DES_CBC, ARCFOUR_128, ARCFOUR_40 for ciphers. Returns 0 on success.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.